﻿namespace Bizspoke.BizTalk.Adapter
{
    using System;

    public class BtsTrackingDbInfo : DbInfo
    {
        private string _CatalogName = Info.BtsTrackingDBName;
        private string _ConnectionString;
        private string _DataSourceName = Info.BtsTrackingDBServer;

        public BtsTrackingDbInfo()
        {
            this._ConnectionString = "packet size=4096;integrated security=SSPI;persist security info=True;data source=" + this._DataSourceName + ";initial catalog=" + this._CatalogName;
        }

        public override string CatalogName
        {
            get
            {
                return this._CatalogName;
            }
        }

        public override string ConnectionString
        {
            get
            {
                return this._ConnectionString;
            }
        }

        public override string DataSourceName
        {
            get
            {
                return this._DataSourceName;
            }
        }
    }
}

