﻿namespace Bizspoke.BizTalk.Adapter
{
    using System;

    public class HelpHandler
    {
        private HelpHandler()
        {
        }

        public static bool ShowHelp(string helpLink)
        {
            try
            {
                if (HelpMan.IsHelpInstalled())
                {
                    HelpMan.DisplayTopic(helpLink);
                }
                else
                {
                    return false;
                }
            }
            catch
            {
                return false;
            }
            return true;
        }
    }
}

